import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/s_g_dashboard_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/s_g_dashboard_entity.g.dart';

@JsonSerializable()
class SGDashboardEntity {
	String? day;
	@JSONField(name: "agency_list")
	List<SGDashboardAgencyList> agencyList = [];

	SGDashboardEntity();

	factory SGDashboardEntity.fromJson(Map<String, dynamic> json) => $SGDashboardEntityFromJson(json);

	Map<String, dynamic> toJson() => $SGDashboardEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class SGDashboardAgencyList {
	@JSONField(name: "agency_id")
	String? agencyId;
	@JSONField(name: "agency_name")
	String? agencyName;
	@JSONField(name: "outlet_id")
	String? outletId;
	@JSONField(name: "outlet_name")
	String? outletName;
	List<SGDashboardAgencyListDays> days = [];

	SGDashboardAgencyList();

	factory SGDashboardAgencyList.fromJson(Map<String, dynamic> json) => $SGDashboardAgencyListFromJson(json);

	Map<String, dynamic> toJson() => $SGDashboardAgencyListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class SGDashboardAgencyListDays {
	String? day;
	String? week;
	String? num;

	SGDashboardAgencyListDays();

	factory SGDashboardAgencyListDays.fromJson(Map<String, dynamic> json) => $SGDashboardAgencyListDaysFromJson(json);

	Map<String, dynamic> toJson() => $SGDashboardAgencyListDaysToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}